Mass Messages
List Mass Message Queue
Returns the current mass message queue: in-progress sends, recently sent, and pending. Shown above the conversation list in the messages pro UI. Requires permission api_mass_messages_list_queue.
https://public-api.fansmetric.comAuthorization
defaultAuthorizationBearer <token>Send your FansMetric API key as a Bearer token in the Authorization header.
In: header
Path Parameters
account_id*integerOnlyFans numeric account ID.
Response Fields
data[].idintegerQueue ID — use to cancel/unsend.
data[].datestringCreation timestamp.
data[].isReadybooleanWhether it's ready / currently sending.
data[].isDonebooleanWhether sending is complete.
data[].totalintegerTotal recipients (
-1or0when unknown).data[].pendingintegerRecipients still pending.
data[].canUnsendbooleanWhether it can still be cancelled.
data[].unsendSecondsintegerSeconds remaining to unsend.
data[].hasErrorbooleanTrue if sending errored.
data[].isCanceledbooleanTrue if cancelled.
data[].isCouplePeopleMediabooleanWhether the media contains multiple people.
dataobject | arrayEndpoint-specific payload. See the fields below for this route.
_meta._credits.usedintegerCredits consumed by this request (currently always
1)._meta._rate_limits.limit_minuteintegerMaximum requests per minute for the organization.
_meta._rate_limits.remaining_minuteintegerRemaining requests in the current minute window.
_meta._rate_limits.limit_dayintegerMaximum requests per day for the organization.
_meta._rate_limits.remaining_dayintegerRemaining requests in the current day window.
| Field | Type | Description |
|---|---|---|
| data[].id | integer | Queue ID — use to cancel/unsend. |
| data[].date | string | Creation timestamp. |
| data[].isReady | boolean | Whether it's ready / currently sending. |
| data[].isDone | boolean | Whether sending is complete. |
| data[].total | integer | Total recipients (-1 or 0 when unknown). |
| data[].pending | integer | Recipients still pending. |
| data[].canUnsend | boolean | Whether it can still be cancelled. |
| data[].unsendSeconds | integer | Seconds remaining to unsend. |
| data[].hasError | boolean | True if sending errored. |
| data[].isCanceled | boolean | True if cancelled. |
| data[].isCouplePeopleMedia | boolean | Whether the media contains multiple people. |
| data | object | array | Endpoint-specific payload. See the fields below for this route. |
| _meta._credits.used | integer | Credits consumed by this request (currently always 1). |
| _meta._rate_limits.limit_minute | integer | Maximum requests per minute for the organization. |
| _meta._rate_limits.remaining_minute | integer | Remaining requests in the current minute window. |
| _meta._rate_limits.limit_day | integer | Maximum requests per day for the organization. |
| _meta._rate_limits.remaining_day | integer | Remaining requests in the current day window. |
curl --request GET "https://public-api.fansmetric.com/v1/100000001/mass-messages/queue" \
--header "Authorization: Bearer YOUR_API_KEY"Response
200